How to install Gens (Sega emulator)

Write tutorials here
There are more tutorials here http://community.linuxmint.com/tutorial/welcome
Forum rules
Do not start a support topic here please. Before you post please read this

How to install Gens (Sega emulator)

Postby piratesmack on Tue Feb 10, 2009 2:20 am

I noticed my favorite Sega emulator wasn't in the Mint repositories, so I made a script that compiles it from source

This script grabs all the needed build dependencies, compiles, then creates a Debian package with checkinstall. Hopefully someone will find this helpful.

Instructions for Mint 32 bit:
-Save gens.build and gens-2.15.5.tar.gz to your home directory
-Open a terminal and type (One line at a time):
Code: Select all
chmod +x gens.build
sudo ./gens.build

-Once the script is finished, there should be a redistributable Debian package in /tmp/build/gens-2.15.5. To install it, run:
Code: Select all
sudo dpkg -i /tmp/build/gens-2.15.5/gens_2.15.5-1_i386.deb

-To start gens, type the following in a terminal:
Code: Select all
gens


Instructions for Mint 64 bit:
-I couldn't get Gens to compile under Mint x64, but you can build it in a 32 bit chroot:
viewtopic.php?f=42&p=131812&sid=9f00ebd59362d97cb18244c546dff6ec#p131812

32 bit Debian package:
If you don't want to compile gens yourself, you can get my deb from here:
http://files.filefront.com/gens+2155+1+ ... einfo.html
Last edited by piratesmack on Tue Feb 24, 2009 2:09 am, edited 5 times in total.
piratesmack
Level 5
Level 5
 
Posts: 710
Joined: Mon May 26, 2008 3:08 pm

Linux Mint is funded by ads and donations.
 

Re: How to install Gens (Sega emulator)

Postby Husse on Wed Feb 11, 2009 3:43 pm

I don't know how the script handles it but you have to install build-essential first
Code: Select all
apt install build-essential
Image
Don't fix it if it ain't broken, don't break it if you can't fix it
Husse
Level 21
Level 21
 
Posts: 19703
Joined: Sun Feb 11, 2007 7:22 am
Location: Near Borås Sweden

Re: How to install Gens (Sega emulator)

Postby piratesmack on Wed Feb 11, 2009 6:58 pm

Husse wrote:I don't know how the script handles it but you have to install build-essential first
Code: Select all
apt install build-essential


Yeah, the script installs build-essential and the other dependencies:
libgtk2.0-dev
libsdl-dev
nasm
checkinstall (To build the deb)
piratesmack
Level 5
Level 5
 
Posts: 710
Joined: Mon May 26, 2008 3:08 pm


Return to Tutorials

Who is online

Users browsing this forum: No registered users and 6 guests